
D4Science Infrastructure - Incident #12182

Social Networking service not working

Jul 18, 2018 12:29 PM - Massimiliano Assante

Status: Closed Start date: Jul 18, 2018

Priority: Urgent Due date:  

Assignee: Roberto Cirillo % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: D4Science Infrastructure upgrade to

gCube 4.12

  

Infrastructure: Production   

Description

Any call to the social networking service generate t

HTTP Status 500 - Cannot call sendError() after the response has been committed

The following exception is thrown in the logs:

javax.servlet.ServletException: org.glassfish.jersey.server.ContainerException: java.lang.NoClassD

efFoundError: org/gcube/portal/social/networking/ws/outputs/ResponseBean

    at org.glassfish.jersey.servlet.WebComponent.serviceImpl(WebComponent.java:489)

    at org.glassfish.jersey.servlet.WebComponent.service(WebComponent.java:427)

    at org.glassfish.jersey.servlet.ServletContainer.service(ServletContainer.java:388)

    at org.glassfish.jersey.servlet.ServletContainer.service(ServletContainer.java:341)

    at org.glassfish.jersey.servlet.ServletContainer.service(ServletContainer.java:228)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:303)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.gcube.smartgears.managers.RequestManager.doFilter(RequestManager.java:95)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:220)

    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:122)

    at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:501)

    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:170)

    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:98)

    at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:950)

    at org.apache.catalina.valves.RemoteIpValve.invoke(RemoteIpValve.java:683)

    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:116)

    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:408)

    at org.apache.coyote.http11.AbstractHttp11Processor.process(AbstractHttp11Processor.java:1041)

    at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:

607)

    at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:313)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)

    at java.lang.Thread.run(Thread.java:748)

Related issues:

Related to D4Science Infrastructure - Task #12183: Please add nagios check to... Closed Jul 18, 2018 Jul 20, 2018

History

#1 - Jul 18, 2018 12:50 PM - Roberto Cirillo

- Status changed from New to In Progress

#2 - Jul 18, 2018 12:51 PM - Roberto Cirillo

I see a Too Many Open File exception. I'm going to investigate.

#3 - Jul 18, 2018 12:52 PM - Massimiliano Assante
- Related to Task #12183: Please add nagios check to monitor the correct functioning of social networking service  added

#4 - Jul 18, 2018 03:14 PM - Massimiliano Assante

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

The service seem to work now. Thanks
